# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   test65
# FileName:      __init__.py
# Author:       lao_zhao
# Datetime:     2025/3/12 11:03
# Description:
# 
# ---------------------------------------------------------------------------


"""
    使用pytest-html插件进行报告的输出。pip install pytest-html

    失败重跑：断言失败之后，再重新执行，可以指定执行的次数。
    失败重跑插件：pytest-rerunfailures
            pip install pytest-rerunfailures



    pytest -vv 用例层名称 --html=报告存放的路径 --self-contained-html --reruns 失败重跑的次数 --reruns-delay 每次重跑的间隔时间


        -vv 表示执行时显示详细结构。
        --self-contained-html: 输出报告时，只生产一个文件。
"""
"""
    allure生成报告
    1：需要生成执行结果的json文件
        pytest 用例层 --alluredir=存放json文件的目录 --clean-alluredir
        
        下载插件：pip install allure-pytest
        
    2：根据第一步执行的json文件生成html报告。
        i: 生成报告的服务
            allure serve 第一步生成的json文件的目录路径
        ii: 生成静态的报告
            allure generate 第一步生成的json文件的目录路径 -o 静态报告保存的目录
            
            打开静态报告：
                allure open 静态报告保存的目录
"""